<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   name="Hyades Correlation Engine"
   id="org.eclipse.hyades.logc"
   class="org.eclipse.hyades.logc.LogCorrelatorPlugin"
   version="3.0.1"
   provider-name="Eclipse.org">

   <runtime>
      <library name="logc.jar">
          <export name="*" />
		  <packages prefixes="org.eclipse.hyades.logc, org.eclipse.hyades.logs"/>                        
      </library>
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.models.cbe"/>  
   </requires>

<!-- ============================================================== -->
<!-- Description of attributes:                                     -->
<!-- <extension                                                     -->
<!--    point="org.eclipse.hyades.logc.logInteractionView">          -->
<!--    <view                                                       --> 
<!--      log_types=list of log types which are logging agent names -->
<!--                separated by ","                                -->
<!--      name=name of the correlated view                          -->
<!--      description=concise description of the correlated view to -->
<!--                  be used in UI. Max 2-3 sentences. NL support  -->
<!--                  needed>                                       -->
<!--    <LogRecordFilter                                            -->
<!--      log_type=the definition of log source and type of the log -->
<!--               to be filtered which is the logging agent name   -->
<!--      class=implementation class of the filter which has to     -->
<!--            implement the ILogRecordFilter interface.>          -->
<!--    </LogRecordFilter>                                          -->
<!--    <LogRecordCorrelationEngine                                 -->
<!--      class=implementation class of the correlation engine which-->
<!--            has to implement the ILogRecordCorrelationEngine    --> 
<!--		    interface.>   						                -->
<!--    </LogRecordCorrelationEngine>                               -->
<!--    </view>                                                     -->
<!-- </extension>                                                   -->
<!-- NOTE:                                                          -->
<!-- 1.Number of filters should be between none and one per log.    -->
<!-- 2.If there is no filter implemented for a particular log, all  -->
<!--   the log records will be visible.                             -->
<!-- 3.There should be exactly one LogRecordCorrelationEngine. 	    -->	
<!--   If there is no LogRecordCorrelationEngine there will be no   -->	
<!--   "connections" between logs.      					        -->
<!-- ============================================================== -->
   <extension-point id="logInteractionView" name="%ExtPoint.LogInterView"/>

  <!-- ============================================================== 
  <extension
  		point = "org.eclipse.hyades.logc.logParser">
  		<parser
  		    id= parser id ( required ) 
  		    name=parser name, such as WAS Log Parser ( required ); the string should be NL enabled
  		    ui_name=parser name displayed by the UI, such as WAS Log Parser ( required ); the string should be NL enabled  		    
  		    description=parser description ( required ); NL enabed
  		    icon=icon ( optional )
  		    class=class implementing com.ibm.etools.logging.parsers.Parser abstract class>
   		    <field  
   		        id=field id, such as logFilePath ( required )  		    
   		    	name=field name as shown in the ui; NL enabled ( required )
   		    	ui_type = text_field , combobox, checkbox, radio, text_area ( optional, default value is text_field )
			    defaultValue=field default value ( optional )			       		    	
			    useBrowse=( optional ) true if the coresponding entry field should have a Browse button
			    browseType=( optional ) filter types for the browse dialog, if any   		    	
   		    	tooltip=tooltip text for the text field ( optional )
			    helpContextId=context id - F1 help ( optional )
 		    >
 		    </field>
  		</parser>
  </extension>
  
  For every entry field provide a field attribute in the extension point;
  For example, if the parser input needs the log file path and WAS_HOME path,
  provide two field elements defining these two entries.
  ============================================================== -->
  
  <extension-point id="logParser" name="%ExtPoint.LogParser"/>     

<!-- ========================================================================= -->
<!-- Contribute to the logInteractionView extension point.                        -->
<!-- ========================================================================= -->
   <extension
         point="org.eclipse.hyades.logc.logInteractionView">
      <view
            log_types="%LOG_TYPE_SUPPORT"
            name="%CORR_NAME"
            description="%CORR_DESC">

         <LogRecordCorrelationEngine
               class="org.eclipse.hyades.logc.internal.extensions.TimeBasedLogRecordCorrelationEngineImpl">
         </LogRecordCorrelationEngine>
      </view>
   </extension>

</plugin>
